Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Naming_Context.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Service_Object.h"`
`#include "ace/Name_Space.h"`
`#include "ace/os_include/os_netdb.h"`

Include dependency graph for Naming_Context.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Name_Options
| Manages the options for the ACE Name_Server. More...
class | ACE_Naming_Context
| Maintaining accesses Name Server Databases. Allows to add NameBindings, change them, remove them and resolve NameBindings. More...

## Detailed Description

Id:
  Naming_Context.h,v 4.36 2003/11/04 23:34:49 ossama Exp

Author:
  Gerhard Lenzer , Douglas C. Schmidt <schmidt@cs.wustl.edu> , Prashant Jain <pjain@uci.edu>